Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class GroupImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
              edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
                  edu.stanford.smi.protege.server.metaproject.impl.GroupImpl

All Implemented Interfaces:
  Localizable, Group, PolicyControlledObject, Serializable

    public class GroupImpl

extends PolicyControlledObjectImpl
implements Group

See Also:
  Serialized Form

Constructor Summary
`protected` | `GroupImpl(MetaProjectImpl mp, Instance group)`

Method Summary
`void` | `addMember(User member)`
`String` | `getDescription()`
`Set<User>` | `getMembers()`
`void` | `setMembers(Collection<User> members)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.PolicyControlledObjectImpl
`addAllowedGroupOperations, addInCollection, equals, getAllowedGroupOperations, getInCollection, getName, hashCode, isPolicyModifiableByClient, removeInCollection, setAllowedGroupOperations, setDescription, setInCollection, setName, setPolicyModifiableByClient, toString`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
`addPropertyValue, addPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesAsString, removePropertyValue, removePropertyValue, setPropertyValue, setPropertyValues`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.Group
`getMetaProject, getName, setDescription, setName`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.PolicyControlledObject
`addAllowedGroupOperations, addInCollection, addPropertyValue, addPropertyValue, getAllowedGroupOperations, getInCollection, getPropertyValue, getPropertyValues, getPropertyValuesAsString, getProtegeInstance, isPolicyModifiableByClient, removeInCollection, removePropertyValue, removePropertyValue, setAllowedGroupOperations, setInCollection, setPolicyModifiableByClient, setPropertyValues`

Constructor Detail

### GroupImpl

    protected GroupImpl(MetaProjectImpl mp,
                        Instance group)
                 throws OntologyException

Throws:
  `OntologyException`

Method Detail

### getMembers

    public Set<User> getMembers()

  Specified by:
    `getMembers` in interface `Group`

### addMember

    public void addMember(User member)

  Specified by:
    `addMember` in interface `Group`

### setMembers

    public void setMembers(Collection<User> members)

  Specified by:
    `setMembers` in interface `Group`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Group`
  Specified by:
    `getDescription` in interface `PolicyControlledObject`
  Overrides:
    `getDescription` in class `PolicyControlledObjectImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.